%global pkgname scandir

# __python2 macro doesn't exist for el6
%if 0%{?el6}
  %define __python2 %{__python}
  %define python2_sitearch %{python_sitearch}
%endif

Name:           python-scandir
Version:        1.3
Release:        1%{?dist}
Summary:        A better directory iterator and faster os.walk() for Python
URL:            https://github.com/benhoyt/scandir
Source:         %{url}/archive/v%{version}.tar.gz#/%{pkgname}-%{version}.tar.gz
License:        BSD
BuildRequires:  python2-devel
Provides:       python2-%{pkgname} = %{version}-%{release}

%description
scandir() is a directory iteration function like os.listdir(), except that
instead of returning a list of bare filenames, it yields DirEntry objects that
include file type and stat information along with the name. Using scandir()
increases the speed of os.walk() by 2-20 times (depending on the platform and
file system) by avoiding unnecessary calls to os.stat() in most cases.
scandir is included in the Python 3.5+ standard library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
# Tests fail if unicode is not supported
LANG=en_US.utf8
%{__python2} test/run_tests.py
rm -rf test/testdir

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE*
%doc README*
%{python2_sitearch}/*
%attr(755,root,root) %{python2_sitearch}/*.so

%changelog
* Tue Sep 20 2016 Prashanth Pai <ppai@redhat.com> - 1.3-1
- Initial package (bz #1374302)
